import React from 'react';
import { registerWidget, Value } from '../Value';
import { RenderContext } from '../widgetUtils';
registerWidget('tuple', function (_a) {
    var value = _a.value;
    return (React.createElement(RenderContext.Provider, { value: "inline" },
        React.createElement("span", { className: "token punctuation" }, "["),
        value.value.map(function (v, i) { return (React.createElement(Value, { key: i, value: v })); }),
        React.createElement("span", { className: "token punctuation" }, "]")));
});
